# CURD-TS 正在开发中……
一套基于TS的增删改查系统，前端语言Vue3.0、React、Angular，后端语言node+express，采用了三种数据库MySQL、MongoDB、SQLite编写。  
A TS based add, delete, modify and query system, the front-end language vue3.0, react, angular, back-end language node + Express, using three kinds of database mysql, mongodb, SQLite  

## 结构介绍 
① sql为数据库存放文件夹  
② doc为文档编写存放文件夹  
③ backend为后端项目存放文件夹  
④ frontend为前端项目存放文件夹  

## Structure introduction 
① SQL stores the folder for the database  
② Doc write storage folder for documents  
③ Backend stores the folder for the back-end project  
④ Frontend stores the folder for the front-end project  

## 前端对应代码存放目录
vue => /frontend/vue-ts  
react => /frontend/react-ts  
angular => /frontend/angular-ts  

## Front end corresponding code storage directory
vue => /frontend/vue-ts  
react => /frontend/react-ts  
angular => /frontend/angular-ts  

## 注意点
① 接口文档使用Swagger  
② 编写者必须严格遵守项目中tslint编写规则  
③ 编写者必须严格遵循代码命名语义化、提高代码可读性  
④ 编写者编写代码完毕必须经过单元测试，保证代码可用性  
⑤ 编写必须完全使用TypeScript，保证代码严谨性、可维护性  
⑥ 编写者提交代码发生冲突，必须先解决，在推送，严禁使用git push -f origin 分支  
⑦ 编写者无须在项目中放置.gitignore文件，如需加入别的git忽略请放在CURD-TS文件夹跟目录的.gitignore文件  

## Attention point
① Interface documents use swagger  
② The author must strictly abide by the tslint writing rules in the project  
③ The author must strictly follow the code naming semantics and improve the readability of the code  
④ The author must go through the unit test to ensure the usability of the code  
⑤ Typescript must be used completely to ensure code rigor and maintainability  
⑥ If the code submitted by the writer conflicts, it must be resolved first. In pushing, GIT push - f origin branch is strictly prohibited  
⑦ The author does not need to place the. Gitignore file in the project. If you want to add other git ignore, please put it in the curd-ts folder and the. Gitignore file in the directory